Subject: Madison Park Galen Cordless Single Panel Roman Shade
From: Mandy Roth <[email-masked]>
To: [email-masked]
Date: Sun, 21 Sep 2025 18:08:36 -0400

Hello,
I purchased the Madison Park Galen Cordless Single Panel Roman Shade on
Amazon and am in need of a replacement bracket. The shade keeps falling
down and I discovered that one of the brackets needs to be replaced. Can I
purchase just a bracket?

Thank you,
Mandy Roth